{
	"format_version": "1.8.0",
	"animations": {
		"animation.red_panda.idle": {
			"loop": true,
			"animation_length": 0,
			"bones": {
				"tail0": {
					"rotation": ["Math.cos(query.life_time *120) * 15", 0, 0]
				},
				"tail1": {
					"rotation": ["Math.cos(query.life_time *120 - 40) * 15", 0, 0]
				},
				"tail2": {
					"rotation": ["Math.cos(query.life_time *120 - 80) * 15", 0, 0]
				}
			}
		},
		"animation.red_panda.walk": {
			"loop": true,
			"anim_time_update": "query.modified_distance_moved",
			"bones": {
				"frontLegL": {
					"rotation": ["Math.cos(query.anim_time *38.17) * 60", 0, 0]
				},
				"frontLegR": {
					"rotation": ["Math.cos(query.anim_time *38.17) * -60", 0, 0]
				},
				"backLegL": {
					"rotation": ["Math.cos(query.anim_time *38.17) * -60", 0, 0]
				},
				"backLegR": {
					"rotation": ["Math.cos(query.anim_time *38.17) * 60", 0, 0]
				}
			}
		}
	}
}